package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.bty.utils;

import lombok.Data;

import java.util.Map;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author jianggang
 * @Date 2018/12/20 10:50:38
 * @Description
 */

@Data
@Component
@ConfigurationProperties(prefix ="supplier")
public class SupplierProperties {

    private String url;

    private String sleepTime;

    private Map<Integer,String> code;
    private Map<Integer,String> desc;

    private String appCode;

    private String pCode;

    private String decryptKey;

    private String decodeApi;

    private String decodeUrl;

    private String decodeAppKey;

    private String decodeAppSecret;
}
