package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.bty.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author jianggang
 * @Date 2018/10/24 16:26:16
 * @Description
 */

@ApiModel(value = "白天源-身份证二要素接口请求对象")
@Data
public class TwoParamIdCardRequestObject implements Serializable {

    @ApiModelProperty(name = "姓名", required = true)
    private String name;

    @ApiModelProperty(name = "身份证号", required = true)
    @JSONField(name = "idNo")
    private String idCard;

}
